Bug 65648 - Cat under csh fails at 2gb
Summary: Cat under csh fails at 2gb
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcsh (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-29 13:46 UTC by Chris Smart
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-06 20:08:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Smart 2002-05-29 13:46:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; T312461; Q312461)

Description of problem:
When attempting to cat a file larger than 2gb under csh (only csh, not bash) 
you get: "Filesize limit exceeded (core dumped)" When manipulating the same 
file using cp or tar there is no problem. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Load csh if not already running it ("csh")
2. Create a file larger than 2gb (e.g "tar cvf test.tar /some large directory")
3. Attempt to cat the file into another file ("cat test.tar >> test2.tar")
	

Actual Results:  It starts to work but produces the error message and dies when 
it reaches 2147483647 

Expected Results:  It should cat the entire file!

Additional info:

Comment 1 Bill Nottingham 2003-02-06 20:08:38 UTC
This is fixed in the tcsh in 8.0.


Note You need to log in before you can comment on or make changes to this bug.